.shengwang_goods_list {
  padding: 80px 0;
  background: linear-gradient(180deg, #F9F9F9 0%, #F5F5F5 100%);
}

.shengwang_goods_list #pagesize {
  margin: 0 !important;
  margin-top: 30px !important;
}

.shengwang_goods_list_content {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.shengwang_goods_list_content_item {
  width: calc((100% - 40px) / 3);
  border-radius: 24px;
  overflow: hidden;
  background: #FFF;
}

.shengwang_goods_list_content_item a {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
}

.shengwang_goods_list_content_item img {
  width: 56.8%;
  aspect-ratio: 1/1;
  object-fit: cover;
  margin: 10px auto;
}

.shengwang_goods_list_content_item_content {
  padding: 42px 24px;
  flex: 1;
  display: flex;
  flex-direction: column;
}

.shengwang_goods_list_content_item_title {
  color: #000;
  font-size: 32px;
  font-weight: 400;
  letter-spacing: -0.84px;
  height: calc(32px * 1.4 * 1);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
}

.shengwang_goods_list_content_item_desc {
  color: #333;
  font-size: 16px;
  font-weight: 300;
  letter-spacing: -0.84px;
  line-height: 1;
  margin-top: 8px;
  flex: 1;
  /* height: calc(16px * 4); */
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
}

.shengwang_goods_list_content_item_btn {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-top: 16px;
  color: var(--color-primary);
  font-size: 16px;
  font-weight: 400;
  letter-spacing: -0.84px;
}

.shengwang_goods_list_content_item_btn i {
  font-size: 16px;
  color: var(--color-primary);
}

.shengwang_goods_list #pagesize ul li a {
  border: none !important;
  background: none !important;
  color: #000 !important;
  padding: 0 !important;
  font-size: 20px;
  font-weight: 500 !important;
  font-family: var(--title-font-family);
}

.shengwang_goods_list #pagesize ul li {
  padding: 0 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.shengwang_goods_list #pagesize ul li a.active {
  background: var(--color-primary) !important;
  color: #fff !important;
  padding: 12px 17px !important;
  border-radius: 50%;
}

.shengwang_goods_list #pagesize ul li a:hover {
  color: var(--color-primary) !important;
}

.shengwang_goods_list #pagesize ul li a.active:hover {
  color: #fff !important;
}

.shengwang_goods_list #pagesize .next,
.shengwang_goods_list #pagesize .pre {
  width: 20px;
  height: 20px;
  border: 1px solid #000;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.shengwang_goods_list #pagesize .next:hover,
.shengwang_goods_list #pagesize .pre:hover {
  border: 1px solid var(--color-primary) !important;
  background-color: var(--color-primary) !important;
  color: #fff !important;
}

.shengwang_goods_list #pagesize .qico {
  font-size: 12px;
  margin-top: 1px;
}

@media (max-width: 1200px) {
  .shengwang_goods_list_content_item_content {
    padding: 24px 12px;
  }

  .shengwang_goods_list_content_item {
    border-radius: 16px;
  }
}

@media (max-width: 992px) {
  .shengwang_goods_list {
    padding: 50px 0;
  }

  .shengwang_goods_list_content_item {
    width: calc((100% - 20px) / 2);
    border-radius: 12px;
  }
}

@media (max-width: 768px) {
  .shengwang_goods_list {
    padding: 30px 0;
  }

  .shengwang_goods_list_content {
    gap: 10px;
  }

  .shengwang_goods_list_content_item {
    width: calc((100% - 10px) / 2);
  }

  .shengwang_goods_list_content_item_content {
    padding: 12px 12px 24px;
  }
}